%define upstream_name    Test-Random
%define upstream_version 20130427

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Make testing random functions deterministic
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
deterministic.

Controlling randomness
    Its main function is to allow you to repeat a failing test in the same
    way it ran before, even if it contained random elements. Test::Random
    will output the seed used by the random number generator. You can then
    use this seed to repeat the last test with exactly the same random
    elements.

    You can control the random seed used by Test::Random by setting the
    runs repeatable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 20130427.0.0-7pclos2017
- rebuild against updates

